package com.ejie.p06b.datatype.model;

import java.io.Serializable;

/**
 * Fecha de creación: (05/07/2010)
 */
public class P06B38T00Datatype implements Serializable {
		
	private String ejercicio = "";
	private String numExp = "";
	private String codRamo = "";
	private String volTotPrimInter = "";
	private String volTotComisDeven = "";
	private String volTotHonorProf = "";
	private String nuevaPrimInter = "";
	private String nuevaComisDeven = "";
	private String nuevaHonorProf = "";
	
		
	/**
	 * @return Returns the ejercicio.
	 */
	public String getEjercicio() {
		return ejercicio;
	}
	/**
	 * @param ejercicio The ejercicio to set.
	 */
	public void setEjercicio(String ejercicio) {
		this.ejercicio = ejercicio;
	}
	
	/**
	 * @return Returns the numExp.
	 */
	public String getNumExp() {
		return numExp;
	}
	/**
	 * @param numExp The numExp to set.
	 */
	public void setNumExp(String numExp) {
		this.numExp = numExp;
	}
	
	/**
	 * @return Returns the codRamo.
	 */
	public String getCodRamo() {
		return codRamo;
	}
	/**
	 * @param codRamo The codRamo to set.
	 */
	public void setCodRamo(String codRamo) {
		this.codRamo = codRamo;
	}
	
	/**
	 * @return Returns the volTotPrimInter.
	 */
	public String getVolTotPrimInter() {
		return volTotPrimInter;
	}
	/**
	 * @param volTotPrimInter The volTotPrimInter to set.
	 */
	public void setVolTotPrimInter(String volTotPrimInter) {
		this.volTotPrimInter = volTotPrimInter;
	}
	
	/**
	 * @return Returns the volTotComisDeven.
	 */
	public String getVolTotComisDeven() {
		return volTotComisDeven;
	}
	/**
	 * @param volTotComisDeven The volTotComisDeven to set.
	 */
	public void setVolTotComisDeven(String volTotComisDeven) {
		this.volTotComisDeven = volTotComisDeven;
	}
	
	/**
	 * @return Returns the volTotHonorProf.
	 */
	public String getVolTotHonorProf() {
		return volTotHonorProf;
	}
	/**
	 * @param volTotHonorProf The volTotHonorProf to set.
	 */
	public void setVolTotHonorProf(String volTotHonorProf) {
		this.volTotHonorProf = volTotHonorProf;
	}
	
	/**
	 * @return Returns the nuevaPrimInter.
	 */
	public String getNuevaPrimInter() {
		return nuevaPrimInter;
	}
	/**
	 * @param nuevaPrimInter The nuevaPrimInter to set.
	 */
	public void setNuevaPrimInter(String nuevaPrimInter) {
		this.nuevaPrimInter = nuevaPrimInter;
	}
	
	/**
	 * @return Returns the nuevaComisDeven.
	 */
	public String getNuevaComisDeven() {
		return nuevaComisDeven;
	}
	/**
	 * @param nuevaComisDeven The nuevaComisDeven to set.
	 */
	public void setNuevaComisDeven(String nuevaComisDeven) {
		this.nuevaComisDeven = nuevaComisDeven;
	}
	
	/**
	 * @return Returns the nuevaHonorProf.
	 */
	public String getNuevaHonorProf() {
		return nuevaHonorProf;
	}
	/**
	 * @param nuevaHonorProf The nuevaHonorProf to set.
	 */
	public void setNuevaHonorProf(String nuevaHonorProf) {
		this.nuevaHonorProf = nuevaHonorProf;
	}
	
	
	public String toString(){
		StringBuffer textoImprimir = new StringBuffer();
		textoImprimir.append("Ejercicio: ");
		textoImprimir.append(ejercicio);
		textoImprimir.append("; NumExpediente: ");
		textoImprimir.append(numExp);
		textoImprimir.append("; CódigoRamo: ");
		textoImprimir.append(codRamo);
		textoImprimir.append("; VolTotPrimInter: ");
		textoImprimir.append(volTotPrimInter);
		textoImprimir.append("; VolTotComisDeven: ");
		textoImprimir.append(volTotComisDeven);
		textoImprimir.append("; VolTotHonorProf: ");
		textoImprimir.append(volTotHonorProf);
		textoImprimir.append("; NuevaPrimInter: ");
		textoImprimir.append(nuevaPrimInter);
		textoImprimir.append("; NuevaComisDeven: ");
		textoImprimir.append(nuevaComisDeven);
		textoImprimir.append("; NuevaHonorProf: ");
		textoImprimir.append(nuevaHonorProf);
				
		return textoImprimir.toString();
	}
	
	
}
